﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Windows.Forms.Integration;

namespace test_Gantt_002
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.Load += new EventHandler(Form1_Load);
        }

        void Form1_Load(object sender, EventArgs e)
        {
            ElementHost elhost = new ElementHost();
            elhost.Size = new System.Drawing.Size(1000, 600);
            UserControl1 wpfctl = new UserControl1();
            elhost.Child = wpfctl;
            GenerateData();
            // set the datacontext for UserControl.
            wpfctl.DataContext = this;
            this.tabPage2.Controls.Add(elhost);

        }

        private void Form1_Load_1(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'test009DataSet.Project' table. You can move, or remove it, as needed.
            this.projectTableAdapter.Fill(this.test009DataSet.Project);
        }

        public ObservableCollection<Model> Project
        {
            get;
            set;
        }
        void GenerateData()
        {
            //Generate a record for each row in the Dataset and add it into the collection.
            Project = new ObservableCollection<Model>();
            var row = (((this.gridGroupingControl1).DataSource as BindingSource).DataSource as System.Data.DataSet).Tables[0].Rows.Count;
            var item = (((this.gridGroupingControl1).DataSource as BindingSource).DataSource as System.Data.DataSet).Tables[0].Rows;
            for (int i = 0; i < row; i++)
            {
                var data = item[i] as test009DataSet.ProjectRow;
                Project.Add(new Model()
                {
                    ProjectName = data.ProjectName,
                    TaskName = data.TaskName,
                    Start = data.Start,
                    Finish = data.Finish,
                    Progress = data.Progress,
                    ResourceName = data.ResourceNames,
                    Cost = data.Cost,
                    CostVariance = data.CostVariance,
                    StartVarience = data.StartVariance,
                    FinishVarience = data.FinishVariance,
                    BaselineEnd = data.BaselineFinish,
                    BaselineStart = data.BaselineStart

                });
            }
        }

    }

    //Create a template class with properties to hold the each column values of DataSet
    public class Model
    {
        public string ProjectName { get; set; }
        public string TaskName { get; set; }
        public DateTime Start { get; set; }
        public DateTime Finish { get; set; }
        public decimal Progress { get; set; }
        public string ResourceName { get; set; }
        public decimal Cost { get; set; }
        public decimal CostVariance { get; set; }
        public decimal FinishVarience { get; set; }
        public decimal StartVarience { get; set; }
        public DateTime BaselineStart { get; set; }
        public DateTime BaselineEnd { get; set; }
    }

}
